Skip to main content
DELETE
/
products
cUrl
curl --location --request DELETE 'https://api.catalogix.ai/v1/products?sku_codes=code&store_uuid=67762d4ce590324df813bd8c' \
--header 'Authorization: Bearer YOUR_TOKEN'
{
  "status": {
    "code": 0,
    "message": "success"
  }
}

Authorizations

Authorization
string
header
required

Pass the API token as a Bearer token in the Authorization header.

Headers

X-Request-Id
string

Optional trace ID. If not provided, one is generated automatically

Query Parameters

store_uuid
string
required
sku_codes
string[]
required

List of SKU Codes needs to be deleted

Response

Data deletion successful

status
StatusModel · object
required

Status of the operation, including code and message

failed_codes
Failed Codes · object

SKU codes that failed to delete. Keyed by sku_code with reason as value.

Example:
{ "SKU003": "Product not found" }